/*
     This file is part of GNUnet

     GNUnet is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published
     by the Free Software Foundation; either version 2, or (at your
     option) any later version.

     GNUnet is distributed in the hope that it will be useful, but
     WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
     General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with GNUnet; see the file COPYING.  If not, write to the
     Free Software Foundation, Inc., 59 Temple Place - Suite 330,
     Boston, MA 02111-1307, USA.
*/

/**
 * Implementation of the TCP transport layer.
 * @file include/transports/tcp.h
 * @author Christian Grothoff
 **/
#ifndef TRANSPORT_TCP_H
#define TRANSPORT_TCP_H

#include "server/transport.h"
#include "server/coreapi.h"

/* ******************* API ******************** */

/**
 * The exported method. Makes the core api available
 * via a global and returns the tcp transport API.
 **/ 
TransportAPI * inittransport_tcp(CoreAPIForTransport * core);

#endif
